Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77506

Summary: Wrong ka3, kb2 and kf0 entries in terminfo.src
Product: [Retired] Red Hat Linux Reporter: Leonard den Ottolander <leonard-rh-bugzilla>
Component: ncursesAssignee: Eido Inoue <havill>
Status: CLOSED RAWHIDE QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-31 08:40:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
diff updates wrong ka3 and kb2 entries, removes redundant ka3 and kf0 entries
none
diff updates wrong ka3 and kb2 entries, removes redundant ka3 and kf0 entries (includes xterm-8bit) none

Description Leonard den Ottolander 2002-11-08 02:53:47 UTC
Description of Problem:

 Errors in different terminfo & -cap files in ncurses-5.2.28.src.rpm and
termcap-11.0.1-13.src.rpm (see other bug report).

ncurses-5.2.28.src.rpm, terminfo.src:

kb2 and kb3 values swapped in entries:
 xterm-xf86-v32|xterm terminal emulator (XFree86 3.2 Window System),
 wy520|wyse520|wyse 520,
 ncr260vt100an|NCR 2900_260 vt100 with ansi kybd, 
 ncr260vt200an|NCR 2900_260 vt200 with ansi kybd,
 ncr260vt300an|NCR 2900_260 vt300 with ansi kybd,
 z39-a|z39a|zenith39-a|zenith39-ansi|Zenith 39 in ANSI mode, 
 (kb2=\EOy should be kb2=\EOu and ka3=\EOu should be ka3=\EOy,
  see vt320|vt300|dec vt320 7 bit terminal, it uses
  ka1=\EOw, ka3=\EOy, kb2=\EOu, kbs=\177, kc1=\EOq, kc3=\EOs)
 (replaced with correct values in provided diff)

redundant and wrong entry ka3=\EOu in (already defined in ncr260vt[1-3]00an):
 ncr260vt100pp|NCR 2900_260 vt100 with PC+ kybd,
 ncr260vt200pp|NCR 2900_260 vt200 with pc+ kybd,
 ncr260vt300pp|NCR 2900_260 vt300 with pc+ kybd,
 (entries deleted in provided diff)

redundant kf0=\EOy in:
 ncr260vt200an|NCR 2900_260 vt200 with ansi kybd,
 ncr260vt300an|NCR 2900_260 vt300 with ansi kybd,
 (entries deleted in provided diff)


Version-Release number of selected component (if applicable):
ncurses-5.2-28.src.rpm

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

The redundant kf0 entries are removed from the termcap in
termcap-11.0.1-13.src.rpm. termcap uses K2=kb2, K3=ka3 and k0=kf0.

Comment 1 Leonard den Ottolander 2002-11-08 02:58:29 UTC
Created attachment 84144 [details]
diff updates wrong ka3 and kb2 entries, removes redundant ka3 and kf0 entries

Comment 2 Leonard den Ottolander 2002-11-08 03:12:31 UTC
Excuse me for this:
"The redundant kf0 entries are removed from the termcap in
termcap-11.0.1-13.src.rpm. termcap uses K2=kb2, K3=ka3 and k0=kf0."

These entries are not removed in the termcap-11.0.1-13.src.rpm termcap.
They are removed in ncurses-5.3 (the tgz from gnu.org).

Comment 3 Leonard den Ottolander 2002-11-08 04:10:35 UTC
Created attachment 84147 [details]
diff updates wrong ka3 and kb2 entries, removes redundant ka3 and kf0 entries (includes xterm-8bit)

Comment 4 Leonard den Ottolander 2002-11-08 04:13:30 UTC
I almost forgot: wrong kb2=\217y and ka3=\217u in:
 xterm-8bit|xterm terminal emulator 8-bit controls (X Window System), 
 (see bq300-8|Bull vt320 full 8 bits 80 columns for correct values)

New diff already attached. Use instead of the previous.


Comment 5 Leonard den Ottolander 2002-11-09 16:12:44 UTC
One more note on the kf0 entries in ncr260vt200pp and ncr260vt300pp. I falsely
stated these entries are deleted in the latest terminfo.src provided with
ncurses-5.3. Probably been searching for k0 where I should have been looking for
kf0 or something like that.
Anyway, these kf0 entries should be considered closely. The might be actually be
correct. They do generate an escape sequence that is already generated by another
key, but that could be correct.
The swapped kb2 and ka3 and redundant definitions of ka3 are definitely wrong.

Comment 6 Leonard den Ottolander 2002-11-09 16:18:31 UTC
"One more note on the kf0 entries in ncr260vt200pp and ncr260vt300pp"
should read
"One more note on the kf0 entries in ncr260vt200an and ncr260vt300an".


Comment 7 Eido Inoue 2003-01-31 08:19:41 UTC
Your patch files appear to be garbled. Can you resubmit?

Comment 8 Eido Inoue 2003-01-31 08:40:11 UTC
never mind, edited manually. thanks for the patch. fixed in 5.3 release 3

Comment 9 Eido Inoue 2003-01-31 09:13:41 UTC
note that the rollup patches for 5.3 seem to address and fix this